Table of Contents

## Name

im_guess_prefix - try to guess install directory

## Synopsis

#include <vips/vips.h>

const char *im_guess_prefix( const char *argv0, const char *env_name )

## Description

im_guess_prefix(3) tries to guess the install directory. You should pass in the value of argv[0] (the name your program was run as), as a clue to help it out, plus the name of the environment variable you let the user override your package install area with (eg. "VIPSHOME").

On success, im_guess_prefix(3) returns the prefix it discovered, and as a side effect, sets the environment variable (if it's not set).

im_guess_prefix(3) is useful for programs in the VIPS distribution and contrib which need to be able to find data files.

Don't free the return string!

## Return Value

The function returns NULL on failure.

Table of Contents

- Name
- Synopsis
- Description
- Return Value